extends Spatial


var m_CubeMesh = CubeMesh.new()
var m_Range = 10.0

func _rand_val():
	return floor(rand_range(-m_Range, m_Range))

# Called when the node enters the scene tree for the first time.
func _ready():
	for i in range (10000):
		AddOne()


	
func AddOne():
	var mi = MeshInstance.new()
	mi.mesh = m_CubeMesh
	mi.translation = Vector3(_rand_val(), _rand_val(), _rand_val())
	mi.scale = Vector3(0.01, 0.01, 0.01)

	# Uncomment this to test random size objects
	# (note that fill rate can become important)
	#mi.scale = Vector3(rand_range(0.5, 5.0), 0.5, rand_range(0.5, 5.0))

	add_child(mi)
	pass

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	var change = 0.005
	
	# Comment or uncomment this line to having moving objects, which
	# stresses the BVH in dynamic situation
	#rotate_y(-change * 0.25)
	
	# This rotates the camera view, but won't cause any changes to the BVH
	get_node("../CameraRig/").rotate_y(change * 0.25)
	pass
